[R] CRAN version branch for Windows packages

From: Ted Harding <Ted.Harding_at_nessie.mcc.ac.uk>
Date: Mon 19 Dec 2005 - 05:44:13 EST


Hi Folks,

This query arises out of a call for help from a friend who has been running R version 1.9 unbder Windows XP, and wanted advice on using install.packages() in order to install the Windows binary of the package "Epi".

Since this environment is outside my personal experience, I could only help in a general way. I did manage to track his problem down to the fact that package "Epi" did not come on the scene until R version 2.1 was out, so there was no "Epi" under

  http://cran.r-project.org/bin/windows/contrib/1.9

which was where his install.packages() looked in the first instance. Nor under 2.0 of course.

I could not make out from the documentation how (or whether) one could persuade it to look for the binary under a different version branch. So I suggested he download the ZIP file and try with "repos=NULL", as suggested (though without detail) in the documentation. However, in the end he resolved the issue by upgrading R to 2.2 which was no doubt a good idea in its own right.

But this still leaves me wondering (for possible future reference) how, if one is using an old version of R under Windows, one can instruct install.packages to look under a later version for a Windows binary which only came on the scene later.

With thanks, and best wsihes to all,
Ted.



E-Mail: (Ted Harding) <Ted.Harding@nessie.mcc.ac.uk> Fax-to-email: +44 (0)870 094 0861
Date: 18-Dec-05                                       Time: 18:44:08
------------------------------ XFMail ------------------------------

______________________________________________
R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Mon Dec 19 05:50:45 2005

This archive was generated by hypermail 2.1.8 : Fri 03 Mar 2006 - 03:41:40 EST